//https://blog.csdn.net/time1812/article/details/79184641
declare class Howl {
    constructor(o: {
        src: string[],
        autoplay?: boolean,
        loop?: boolean,
        volume?: number,
        onend?: () => void
    });
    on(eventName: string, fun: () => void, id?: number, once?: number): Howl;
    once(eventName: string, fun: () => void, id?: number): Howl;
    off(eventName: string, fun: () => void, id?: number): Howl;
    _emit(eventName: string, id?: number, msg?: number): Howl;

    play(sprite?: number | string, internal?: boolean): number;
    fade(from: number, to: number, len: number, id: number): Howl;
    rate(rate: number, id: number): Howl | number;
    loop(loop?: number, id?: number):Howl | number;
    stop(id?:number, internal?:boolean):Howl | number;
    // static createVertexBuffer(gl: any, data?: any, drawType?: any): GLBuffer;
    // static createIndexBuffer(gl: any, data?: any, drawType?: any): GLBuffer;
    // static create(gl: any, type: any, data: any, drawType: any): GLBuffer;
}